Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::v3::semiregular< T > Struct Template Reference
Utility
Inheritance diagram for ranges::v3::semiregular< T >:

## Public Member Functions
T & | get () &noexcept
constexpr T const & | get () const &noexcept
T && | get () &&noexcept
constexpr T const && | get () const &&noexcept
| operator T & () &noexcept
| operator T && () &&noexcept
constexpr | operator T const & () const &noexcept
constexpr | operator T const && () const &&noexcept
template<typename... Args>
auto | operator() (Args &&...args) &noexcept(noexcept(decltype(std::declval< T & >()(static_cast< Args && >(args)...))(std::declval< T & >()(static_cast< Args && >(args)...)))) -> decltype(std::declval< T & >()(static_cast< Args && >(args)...))
template<typename... Args>
constexpr auto | operator() (Args &&...args) const &noexcept(noexcept(decltype(std::declval< T const & >()(static_cast< Args && >(args)...))(std::declval< T const & >()(static_cast< Args && >(args)...)))) -> decltype(std::declval< T const & >()(static_cast< Args && >(args)...))
template<typename... Args>
auto | operator() (Args &&...args) &&noexcept(noexcept(decltype(std::declval< T && >()(static_cast< Args && >(args)...))(std::declval< T && >()(static_cast< Args && >(args)...)))) -> decltype(std::declval< T && >()(static_cast< Args && >(args)...))
template<typename... Args>
constexpr auto | operator() (Args &&...args) const &&noexcept(noexcept(decltype(std::declval< T const && >()(static_cast< Args && >(args)...))(std::declval< T const && >()(static_cast< Args && >(args)...)))) -> decltype(std::declval< T const && >()(static_cast< Args && >(args)...))